package com.qmth.themis.business.domain;

import java.io.Serializable;

/**
 * @Description: 阿里云oss config
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/3/30
 */
public class AliYunOssDomain implements Serializable {

    private String publicEndpoint;

    private String publicName;

    private String publicAccessKeyId;

    private String publicAccessKeySecret;

    private String publicBucket;

    private String publicUrl;

    private String privateEndpoint;

    private String privateName;

    private String privateAccessKeyId;

    private String privateAccessKeySecret;

    private String privateBucket;

    private String privateUrl;

    public String getPrivateEndpoint() {
        return privateEndpoint;
    }

    public void setPrivateEndpoint(String privateEndpoint) {
        this.privateEndpoint = privateEndpoint;
    }

    public String getPrivateName() {
        return privateName;
    }

    public void setPrivateName(String privateName) {
        this.privateName = privateName;
    }

    public String getPrivateAccessKeyId() {
        return privateAccessKeyId;
    }

    public void setPrivateAccessKeyId(String privateAccessKeyId) {
        this.privateAccessKeyId = privateAccessKeyId;
    }

    public String getPrivateAccessKeySecret() {
        return privateAccessKeySecret;
    }

    public void setPrivateAccessKeySecret(String privateAccessKeySecret) {
        this.privateAccessKeySecret = privateAccessKeySecret;
    }

    public String getPrivateBucket() {
        return privateBucket;
    }

    public void setPrivateBucket(String privateBucket) {
        this.privateBucket = privateBucket;
    }

    public String getPrivateUrl() {
        return privateUrl;
    }

    public void setPrivateUrl(String privateUrl) {
        this.privateUrl = privateUrl;
    }

    public String getPublicEndpoint() {
        return publicEndpoint;
    }

    public void setPublicEndpoint(String publicEndpoint) {
        this.publicEndpoint = publicEndpoint;
    }

    public String getPublicName() {
        return publicName;
    }

    public void setPublicName(String publicName) {
        this.publicName = publicName;
    }

    public String getPublicAccessKeyId() {
        return publicAccessKeyId;
    }

    public void setPublicAccessKeyId(String publicAccessKeyId) {
        this.publicAccessKeyId = publicAccessKeyId;
    }

    public String getPublicAccessKeySecret() {
        return publicAccessKeySecret;
    }

    public void setPublicAccessKeySecret(String publicAccessKeySecret) {
        this.publicAccessKeySecret = publicAccessKeySecret;
    }

    public String getPublicBucket() {
        return publicBucket;
    }

    public void setPublicBucket(String publicBucket) {
        this.publicBucket = publicBucket;
    }

    public String getPublicUrl() {
        return publicUrl;
    }

    public void setPublicUrl(String publicUrl) {
        this.publicUrl = publicUrl;
    }
}
